IEEE 2007 International

Symposium on Microwave, Antenna, Propagation, and EMC Technologies For Wireless Communications

A Practical Bit and Power Allocation Algorithm for MIMO-OFDM System in Time Varying Wireless Channels Liu Min, Xu Dazhuan

(College of information science and technology, Nanjing University ofAeronautics and Astronautics, Nanjing 210016 China) as adaptive bit and power allocation[5-6], adaptive Abstract: in this paper, we propose a computationally beamforming[5] [7] and adaptive tone allocatin[7-8], efficient bit allocation algorithm for adaptive and so forth. As for the adaptive bit and power modulation in MIMO-OFDM systems. In adaptive allocation, some Lagrange multiplier method based modulation, QAMs are often employed. However, square algorithms iteratively search for water-filling level to are more efficient than obtain the non-integer allocated transmission rates and QAMs power rectangular QAMs. Based on this fact and the characteristic of MIMO-OFDM then round them to integer number of bits[6,9]. The channels, the algorithm is developed. The complexity greedy algorithms, such as the famous of the proposed algorithm is very low and nearly Hughes-Hartogs algorithm[10], can obtain the optimal resolution but are highly computationally expensive. independent to the total transmission rate. This is In [11-12], suboptimal algorithms is developed to applauded especially by systems operate with a high Simulation results reduce complexity of greedy algorithm. signal-to-noise ratio(SNR). demonstrate that the algorithm only requires almost the same power as the optimal Hughes-Hartogs

algorithm. Keywords: MIMO, OFDM, varying channels

bit/power allocation,

time

1 Introduction In broadband wireless communication

systems,

Inter-Symbol-Interference(ISI) has to be eliminate. Orthogonal Frequency Division Multiplexing(OFDM) technique[l] can efficiently reduce ISI at a much lower price than complex equalizers, and becomes popular in wireless broadband communication systems. On the other hand, Multiple Input Multiple Output technique[2-3] is effective in combating small scale fading and increasing channel capacity. The combination of these two techniques in wireless communication systems has attracted great attention in

recent years[4-5].

In many wireless communication systems, the channel state may be time-varying. To fully exploit the

capability of wireless links, adaptive transmission techniques lend themselves to OFDM systems, such 1-4244-1044-4/07/S25.00 ©2007 IEEE.

In this paper,

propose a efficient bit allocation algorithm for MIMO-OFDM systems where we

the parallel spatial modes on each tone are all put into use. The organization of this paper is as follows. Section II describes the system model and formulates the problem. We introduce main idea of the algorithm and describe the procedures of it in section III. The simulation results are given in section IV. Finally, we conclude this paper in section V.

2

System model and problem statement

We deal with

wireless MIMO-OFDM systems with Nc tones and with NA antennas both at transmitter and receiver. The antennas are spaced enough depart to yield independent wireless links, which are time-varying according to Jakes' model. Suppose the MIMO channels are invariant during each transmission, we collect the frequency responses on the nth tone to form a NaXNa matrix H(n). If the channel state information H(n) is available at the transmitter, NA subchannels can be created by means a

-61

Authorized licensed use limited to: NANJING UNIVERSITY OF AERONAUTICS AND ASTRONAUTICS. Downloaded on March 04,2010 at 00:05:31 EST from IEEE Xplore. Restrictions apply.

IEEE 2007 International Symposium on Microwave, Antenna, Propagation, and EMC Technologies For Wireless Communications

of singular value decomposition(SVD) as follows

H(n) V(n)A(n)VH(n)

following constrained optimization problem NA _VC-1

=

(1)

Where A i(n)'s are singular values in descending order and Ui(n) and Vi(n) are the left and right singular vectors associated with A ^n), respectively. Suppose QAM constellations are employed on all the subchannels, We introduce a distance metric

df(n) g(bi(n))Pi(n),where -^,6 1,3,5,-. 8(b) 5-2°-4'

s-f-

3 Problem resolving

(2)

2,4,6,-

bi(n)

and Pi(n) are the number of bits and power allocated to the ith subchannel, respectively. Then the bit error rate(BER) on the ith subchannel is[5] « 0.2 exp BER d2 I (3)

(n)

where

.

[-X2 (n) (n) a2)

is the noise power. For

o

BERr in)

the minimum dt

a

prescribed

needed

can

be

efficiently through one-dimension search, or computed analytically through approximation a Ricean distribution by a Nakagami-m distribution. For convenient, we still denote the result as d2 (ri) in the found

following. When channel state information at transmitter(CSIT) is delayed, (3) is still useful by taking expectation on the righthand and obtaining an average BER[5]. The quality of CSIT is indicated by

which is the correlation between CSIT and the true channel. When the true channel and the CSIT are all Gaussian distributed, we have

parameter

P

=

P

,

J0(lxfDTdelay)

,

where

Bessel function of the first

Algorithm Description Resolving the problem in (4) involves optimally allocating bits among all the subchannels. Specifically, we can obtain d2 (ri) for each subchannel, then allocating bits only based on them. The optimal bit-allocation scheme may use Hughes-Hartogs algorithm(HHA), which assigns 1 bit a time to a subchannel requiring the least additional power until the transmission rate R is achieved. HHA is optimal but requires intensive computation, which prohibits its employment in practical systems. In mobile communication, channels may vary so fast that slow convergence of bit-allocation algorithms will make the adaptive transmission of no use. To make the adaptive transmission useful, computationally efficient algorithms must be developed. In the following part we will propose a bit-allocation algorithm with very low complexity for MIMO-OFDM systems. Because square QAMs(corresponding to even number of bits) are more power efficient than rectangular QAMs(corresponding to odd number of bits), odd number of bits are rarely allocated to a subchannel in the resolution achieved by optimal HHA. If we restrict all subchannel to employment of only square QAMs, the incurred power penalty will be slight. Based on this fact, the proposed algorithm only 3.1

=

=

EEM")>*(4) bt(n)e (0,1,2,3,4,..-) BERi (n) < BER^ (n)

=

_6 -,6 4-2° -V

NA Nc-\

_/(.)

is the zeroth

kind, fD and

Tdelay

is

the maximum Doppler shift and delay of CSIT, respectively. More details can be found in [5]. Our objective here is to minimize the total transmit power based on delayed CSIT under the BER constraints, at the same time maintaining a transmission rate R. The goal can be formulated as the

allocates

even

number of bits to

a

subchannel.

Suppose all the df (ri) 's have been arranged in ascengding order. With reference to Fig.l, the curve is bit allocation result obtained by HHA(note that now a mimimum allocation amount of 2 bits is available). The curve contains several lines, and each line spans some d2 (ri) 's that are associated with the same

-62

Authorized licensed use limited to: NANJING UNIVERSITY OF AERONAUTICS AND ASTRONAUTICS. Downloaded on March 04,2010 at 00:05:31 EST from IEEE Xplore. Restrictions apply.

IEEE 2007 International

Symposium on Microwave, Antenna, Propagation, and EMC Technologies For Wireless Communications

Suppose (A, A' ) and (B,Br ) are two adjacent turning point groups in the curve.

number of bits.

Pa>>Pb

3.5

CO

-o 0 T3

CD O

2.5

d2 (n) 's into different groups. Start from the minimum d2 (n), denoted as d\ all d2 (n) 's less than 4 d\ are

According to theorem 1, we

2

1.5-

0-

10

20 30 40 index of ordered subchannels

50

A). curve.1 -0 curve.2 -X. curve.3

3.5 3

"§ CD o

2.5

2([lIIXXXXXIIII}CCCCm^ 1.5 1

0.5

AXLTLlIW&JJlfSjmAAimmAA^ 50

0

20 30 40 index of ordered subchannels

Fig.2 when Ri< R3< R2, curve.3 lies "between" curve. 1 and

d2 (n) 's

Theorem 1

curve. 2

associated with

(A,A' )

and

(B,B' ) must meet the following equality

4(«)>4_/J(»)

(5)

Proof: subtracting 2 bits from the subchannel associated with will yield a power saving as

d\ (n)

following

Mifo-«fcyMw

(6)

adding

2 bits to the subchannel associated with

d2A, (n)

will require a power consumption

P*A'-\g(bA) If

PAi

Symposium on Microwave, Antenna, Propagation, and EMC Technologies For Wireless Communications

A Practical Bit and Power Allocation Algorithm for MIMO-OFDM System in Time Varying Wireless Channels Liu Min, Xu Dazhuan

(College of information science and technology, Nanjing University ofAeronautics and Astronautics, Nanjing 210016 China) as adaptive bit and power allocation[5-6], adaptive Abstract: in this paper, we propose a computationally beamforming[5] [7] and adaptive tone allocatin[7-8], efficient bit allocation algorithm for adaptive and so forth. As for the adaptive bit and power modulation in MIMO-OFDM systems. In adaptive allocation, some Lagrange multiplier method based modulation, QAMs are often employed. However, square algorithms iteratively search for water-filling level to are more efficient than obtain the non-integer allocated transmission rates and QAMs power rectangular QAMs. Based on this fact and the characteristic of MIMO-OFDM then round them to integer number of bits[6,9]. The channels, the algorithm is developed. The complexity greedy algorithms, such as the famous of the proposed algorithm is very low and nearly Hughes-Hartogs algorithm[10], can obtain the optimal resolution but are highly computationally expensive. independent to the total transmission rate. This is In [11-12], suboptimal algorithms is developed to applauded especially by systems operate with a high Simulation results reduce complexity of greedy algorithm. signal-to-noise ratio(SNR). demonstrate that the algorithm only requires almost the same power as the optimal Hughes-Hartogs

algorithm. Keywords: MIMO, OFDM, varying channels

bit/power allocation,

time

1 Introduction In broadband wireless communication

systems,

Inter-Symbol-Interference(ISI) has to be eliminate. Orthogonal Frequency Division Multiplexing(OFDM) technique[l] can efficiently reduce ISI at a much lower price than complex equalizers, and becomes popular in wireless broadband communication systems. On the other hand, Multiple Input Multiple Output technique[2-3] is effective in combating small scale fading and increasing channel capacity. The combination of these two techniques in wireless communication systems has attracted great attention in

recent years[4-5].

In many wireless communication systems, the channel state may be time-varying. To fully exploit the

capability of wireless links, adaptive transmission techniques lend themselves to OFDM systems, such 1-4244-1044-4/07/S25.00 ©2007 IEEE.

In this paper,

propose a efficient bit allocation algorithm for MIMO-OFDM systems where we

the parallel spatial modes on each tone are all put into use. The organization of this paper is as follows. Section II describes the system model and formulates the problem. We introduce main idea of the algorithm and describe the procedures of it in section III. The simulation results are given in section IV. Finally, we conclude this paper in section V.

2

System model and problem statement

We deal with

wireless MIMO-OFDM systems with Nc tones and with NA antennas both at transmitter and receiver. The antennas are spaced enough depart to yield independent wireless links, which are time-varying according to Jakes' model. Suppose the MIMO channels are invariant during each transmission, we collect the frequency responses on the nth tone to form a NaXNa matrix H(n). If the channel state information H(n) is available at the transmitter, NA subchannels can be created by means a

-61

Authorized licensed use limited to: NANJING UNIVERSITY OF AERONAUTICS AND ASTRONAUTICS. Downloaded on March 04,2010 at 00:05:31 EST from IEEE Xplore. Restrictions apply.

IEEE 2007 International Symposium on Microwave, Antenna, Propagation, and EMC Technologies For Wireless Communications

of singular value decomposition(SVD) as follows

H(n) V(n)A(n)VH(n)

following constrained optimization problem NA _VC-1

=

(1)

Where A i(n)'s are singular values in descending order and Ui(n) and Vi(n) are the left and right singular vectors associated with A ^n), respectively. Suppose QAM constellations are employed on all the subchannels, We introduce a distance metric

df(n) g(bi(n))Pi(n),where -^,6 1,3,5,-. 8(b) 5-2°-4'

s-f-

3 Problem resolving

(2)

2,4,6,-

bi(n)

and Pi(n) are the number of bits and power allocated to the ith subchannel, respectively. Then the bit error rate(BER) on the ith subchannel is[5] « 0.2 exp BER d2 I (3)

(n)

where

.

[-X2 (n) (n) a2)

is the noise power. For

o

BERr in)

the minimum dt

a

prescribed

needed

can

be

efficiently through one-dimension search, or computed analytically through approximation a Ricean distribution by a Nakagami-m distribution. For convenient, we still denote the result as d2 (ri) in the found

following. When channel state information at transmitter(CSIT) is delayed, (3) is still useful by taking expectation on the righthand and obtaining an average BER[5]. The quality of CSIT is indicated by

which is the correlation between CSIT and the true channel. When the true channel and the CSIT are all Gaussian distributed, we have

parameter

P

=

P

,

J0(lxfDTdelay)

,

where

Bessel function of the first

Algorithm Description Resolving the problem in (4) involves optimally allocating bits among all the subchannels. Specifically, we can obtain d2 (ri) for each subchannel, then allocating bits only based on them. The optimal bit-allocation scheme may use Hughes-Hartogs algorithm(HHA), which assigns 1 bit a time to a subchannel requiring the least additional power until the transmission rate R is achieved. HHA is optimal but requires intensive computation, which prohibits its employment in practical systems. In mobile communication, channels may vary so fast that slow convergence of bit-allocation algorithms will make the adaptive transmission of no use. To make the adaptive transmission useful, computationally efficient algorithms must be developed. In the following part we will propose a bit-allocation algorithm with very low complexity for MIMO-OFDM systems. Because square QAMs(corresponding to even number of bits) are more power efficient than rectangular QAMs(corresponding to odd number of bits), odd number of bits are rarely allocated to a subchannel in the resolution achieved by optimal HHA. If we restrict all subchannel to employment of only square QAMs, the incurred power penalty will be slight. Based on this fact, the proposed algorithm only 3.1

=

=

EEM")>*(4) bt(n)e (0,1,2,3,4,..-) BERi (n) < BER^ (n)

=

_6 -,6 4-2° -V

NA Nc-\

_/(.)

is the zeroth

kind, fD and

Tdelay

is

the maximum Doppler shift and delay of CSIT, respectively. More details can be found in [5]. Our objective here is to minimize the total transmit power based on delayed CSIT under the BER constraints, at the same time maintaining a transmission rate R. The goal can be formulated as the

allocates

even

number of bits to

a

subchannel.

Suppose all the df (ri) 's have been arranged in ascengding order. With reference to Fig.l, the curve is bit allocation result obtained by HHA(note that now a mimimum allocation amount of 2 bits is available). The curve contains several lines, and each line spans some d2 (ri) 's that are associated with the same

-62

Authorized licensed use limited to: NANJING UNIVERSITY OF AERONAUTICS AND ASTRONAUTICS. Downloaded on March 04,2010 at 00:05:31 EST from IEEE Xplore. Restrictions apply.

IEEE 2007 International

Symposium on Microwave, Antenna, Propagation, and EMC Technologies For Wireless Communications

Suppose (A, A' ) and (B,Br ) are two adjacent turning point groups in the curve.

number of bits.

Pa>>Pb

3.5

CO

-o 0 T3

CD O

2.5

d2 (n) 's into different groups. Start from the minimum d2 (n), denoted as d\ all d2 (n) 's less than 4 d\ are

According to theorem 1, we

2

1.5-

0-

10

20 30 40 index of ordered subchannels

50

A). curve.1 -0 curve.2 -X. curve.3

3.5 3

"§ CD o

2.5

2([lIIXXXXXIIII}CCCCm^ 1.5 1

0.5

AXLTLlIW&JJlfSjmAAimmAA^ 50

0

20 30 40 index of ordered subchannels

Fig.2 when Ri< R3< R2, curve.3 lies "between" curve. 1 and

d2 (n) 's

Theorem 1

curve. 2

associated with

(A,A' )

and

(B,B' ) must meet the following equality

4(«)>4_/J(»)

(5)

Proof: subtracting 2 bits from the subchannel associated with will yield a power saving as

d\ (n)

following

Mifo-«fcyMw

(6)

adding

2 bits to the subchannel associated with

d2A, (n)

will require a power consumption

P*A'-\g(bA) If

PAi